// Final Conversation with the Solar


/*

Maximum value possible of IRTCorruptImoen = 11
Maximum value possible of IRTLoveMeter = 37 (technically infinite, but this assumes the player only looped once through the PDAs.)

Thresholds for ascension: 
	IRTLoveMeter = 31+   			:  Imoen is madly in love and will do anything to stay with the player
	IRTLoveMeter = 6 < X < 31    :  Imoen is in love with the player but requires to be corrupted to ascend together, and only as a handmaiden
	IRTLoveMeter = 6 or less     :  Imoen somewhat loves the player, but doesn't want to factor into his/her decision and breaks up with them.
	IRTLoveMeter > 12            :  When Imoen is Romanced and considers whether to ascend as a divine handmaiden, she will decide to do it if value > 12
	IRTLoveMeter > 2             :  Not romanced, corrupted Imoen ascends as divine handmaiden
	
	
Depending on IRTCorruptImoen 's value, she will have a different attitude toward both ascension and giving up her taint.	
	
*/

// Imoen's reaction to the final choice presented by Solar
// TRANS need to be ALTERED for every NPC that speaks before she does.
// NOTE: Please don't REPLACE states. This destroys compatibility. I'd rather the wrong line displayed for Imoen than kill a different mod's content.
// TODO: Two different files are needed to account for Enhanced Edition and Vanilla


// Solar
ALTER_TRANS FINSOL01
BEGIN 27 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~ 
END // Make sure Imoen speaks her new lines after everyone else if she is romanced
 
// Keldorn
ALTER_TRANS KELDO25J
BEGIN 1 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Korgan
ALTER_TRANS KORGA25J
BEGIN 3 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Edwin
ALTER_TRANS EDWIN25J
BEGIN 0 END
BEGIN 11 END
BEGIN
"EPILOGUE" ~EXTERN IMOEN25J FD~  END
 

// Mazzy
ALTER_TRANS MAZZY25J
BEGIN 1 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Cernd
ALTER_TRANS CERND25J
BEGIN 1 END
BEGIN 11 END
BEGIN
"EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Jan
ALTER_TRANS JAN25J
BEGIN 11 END
BEGIN 11 END
BEGIN
"EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Haer'Dalis
ALTER_TRANS HAERD25J
BEGIN 2 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Nalia
ALTER_TRANS NALIA25J
BEGIN 2 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~  END

// Minsc
ALTER_TRANS MINSC25J
BEGIN 1 END
BEGIN 11 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J FD~  END
 

// Sarevok
ALTER_TRANS SAREV25J
BEGIN 2 3 END
BEGIN 11 END
BEGIN
"EPILOGUE" ~EXTERN IMOEN25J FD~  END


// Changing the final Imoen reactions to fit the romance
//the below is if imoen isn't romanced
// needs to be done for every character that speaks before her
// Doesn't need to take the EE NPCs into account because they only speak if they are romanced


//solar
ALTER_TRANS FINSOL01
BEGIN 29 30 31 32 END
BEGIN 6 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J finalbreak~ 
END

//sarevok
ALTER_TRANS SAREV25J
BEGIN 4 5 6 7 END
BEGIN 6 END
BEGIN
 "EPILOGUE" ~EXTERN IMOEN25J finalbreak~ 
END





